require 'studio_game/game'

module StudioGame
  describe Game do

    before do
      $stdout = StringIO.new
      @game = Game.new("Knuckleheads")

      @initial_health = 100
      @player = Player.new("moe", @initial_health)

      @game.add_player(@player)
    end
    it "w00ts when high rollin" do
      Die.any_instance.stub(:roll).and_return(6)
      @game.play(3)
      @player.health.should == @initial_health + (15 * 3)
    end
    it "nothing when med rollin" do
      Die.any_instance.stub(:roll).and_return(3)
      @game.play(3)
      @player.health.should == @initial_health
    end

    it "blam on low rolls" do
      Die.any_instance.stub(:roll).and_return(1)
      @game.play(3)
      @player.health.should == @initial_health - (10 * 3)
    end
  end
end
